petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMRefine

Refines a DM object

### Synopsis

    #include "petscdm.h"
    #include "petscdmlabel.h"
    #include "petscds.h"
    PetscErrorCode  DMRefine(DM dm,MPI_Comm comm,DM *dmf)

Collective on DM

### Input Parameter

| dm | - the DM object
| comm | - the communicator to contain the new DM object (or MPI_COMM_NULL)

### Output Parameter

dmf -the refined DM, or NULL

Note: If no refinement was done, the return value is NULL

### See Also

DMCoarsen(), DMDestroy(), DMView(), DMCreateGlobalVector(), DMCreateInterpolation()

### Level

developer

### Location

src/dm/interface/dm.c

### Examples

src/dm/examples/tutorials/ex3.c.html
src/ksp/ksp/examples/tutorials/ex65.c.html
src/snes/examples/tutorials/ex12.c.html
src/snes/examples/tutorials/ex62.c.html
src/snes/examples/tutorials/ex77.c.html

### Implementations

DMRefine_Composite in src/dm/impls/composite/pack.c
DMRefine_DA in src/dm/impls/da/da.c
DMRefine_Forest in src/dm/impls/forest/forest.c
DMRefine_Moab in src/dm/impls/moab/dmmbmg.cxx
DMRefine_Plex in src/dm/impls/plex/plexrefine.c
DMRefine_Redundant in src/dm/impls/redundant/dmredundant.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages